package cn.iocoder.yudao.module.mes.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * mes 错误码枚举类
 *
 * report 系统，使用 1-003-000-000 段
 */
public interface ErrorCodeConstants {


    ErrorCode MOLD_REPAIR_ID_NULL = new ErrorCode(5_0090, "维修单ID不能为空");
    ErrorCode MOLD_REPAIR_MAPPER_NULL = new ErrorCode(5_0091, "维修单行数据Mapper初始化失败");
    ErrorCode MOLD_REPAIR_LINE_NULL = new ErrorCode(5_0092, "维修单行数据不能为空");
    ErrorCode MOLD_REPAIR_SUBJECT_ID_NULL = new ErrorCode(5_0093, "维修项目ID不能为空");

    ErrorCode BOM_NOT_EXISTS = new ErrorCode(5_001, "产品BOM不存在");
    ErrorCode BOM_EXISTS = new ErrorCode(5_002, "产品BOM已存在");
    ErrorCode ORGANIZATION_NOT_EXISTS = new ErrorCode(5_0011, "产线工位不存在");
    ErrorCode ORGANIZATION_ID_NOT_EXISTS = new ErrorCode(5_0011, "产线工位不存在");
    ErrorCode ORGANIZATION_EXITS_CHILDREN = new ErrorCode(5_0012, "存在存在子产线工位，无法删除");
    ErrorCode ORGANIZATION_PARENT_NOT_EXITS = new ErrorCode(5_0013,"父级产线工位不存在");
    ErrorCode ORGANIZATION_PARENT_ERROR = new ErrorCode(5_0014, "不能设置自己为父产线工位");
    ErrorCode ORGANIZATION_NAME_DUPLICATE = new ErrorCode(5_0015, "已经存在该组织名称的产线工位");
    ErrorCode ORGANIZATION_PARENT_IS_CHILD = new ErrorCode(5_0016, "不能设置自己的子Organization为父Organization");
    ErrorCode ORGANIZATION_CODE_EXISTS = new ErrorCode(5_0011_001, "组织编号已存在，请重新提交");
    ErrorCode TASK_NOT_EXISTS = new ErrorCode(5_002, "生产任务单不存在");
    ErrorCode TASK_CODE_EXISTS = new ErrorCode(5_002_001, "任务单号已存在，请重新提交");
    ErrorCode TASK_EXISTS = new ErrorCode(5_003, "生产任务单已存在");
    ErrorCode TASK_DETAIL_NOT_EXISTS = new ErrorCode(5_005, "任务单明细不存在");
    ErrorCode PLAN_NOT_EXISTS = new ErrorCode(5_003, "生产计划不存在");
    ErrorCode PLAN_CODE_EXISTS = new ErrorCode(5_003_001, "生产计划已存在，请重新提交");
    ErrorCode PLAN_EXISTS = new ErrorCode(5_003, "生产计划已经存在");
    ErrorCode ITEM_REQUISITION_NOT_EXISTS = new ErrorCode(5_004, "生产领料不存在");
    ErrorCode ITEM_REQUISITION_EXISTS = new ErrorCode(5_004, "生产领料已存在");
    ErrorCode RECORD_TEMPLATE_NOT_EXISTS = new ErrorCode(5_006, "记录表不存在");
    ErrorCode RECORD_CHENGXING_NOT_EXISTS = new ErrorCode(5_0061, "成型记录不存在");
    ErrorCode RECORD_SUIJIANG_NOT_EXISTS = new ErrorCode(5_0062, "碎浆记录不存在");
    ErrorCode RECORD_REYA_NOT_EXISTS = new ErrorCode(5_0063, "热压记录不存在");
    ErrorCode RECORD_QIEBIAN_NOT_EXISTS = new ErrorCode(5_0064, "切边记录不存在");

    ErrorCode RECORD_DABAO_NOT_EXISTS = new ErrorCode(5_0065, "打包记录不存在");
    ErrorCode RECORD_DAJIANG_NOT_EXISTS = new ErrorCode(5_0066, "打浆记录不存在");
    ErrorCode RECORD_GANZAO_NOT_EXISTS = new ErrorCode(5_0067, "干燥记录不存在");
    ErrorCode RECORD_JIASHI_NOT_EXISTS = new ErrorCode(5_0068, "加湿记录不存在");
    ErrorCode RECORD_PINJIAN_NOT_EXISTS = new ErrorCode(5_0069, "品检记录不存在");
    ErrorCode PAIGONG_RECORD_NOT_EXISTS = new ErrorCode(5_0069, "派工记录不存在");

    ErrorCode BAOGONG_RECORD_NOT_EXISTS = new ErrorCode(5_0069, "报工不存在");


    ErrorCode WORK_TEAM_NOT_EXISTS = new ErrorCode(5_007, "生产班组不存在");
    ErrorCode WORK_TEAM_DETAIL_NOT_EXISTS = new ErrorCode(5_0071, "班组成员不存在");
    ErrorCode PRODUCE_REPORT_NOT_EXISTS = new ErrorCode(5_008, "生产报工单不存在");
    ErrorCode PRODUCE_REPORT_DETAIL_NOT_EXISTS = new ErrorCode(5_0081, "生产报工明细不存在");
    ErrorCode MACHINE_COMPONENT_EXITS_CHILDREN = new ErrorCode(5_008, "机台组织存在子组织");
    ErrorCode MACHINE_COMPONENT_NOT_EXISTS = new ErrorCode(5_0081, "生产报工明细不存在");
    ErrorCode MACHINE_COMPONENT_PARENT_ERROR = new ErrorCode(5_0081, "生产报工明细不存在");
    ErrorCode MACHINE_COMPONENT_PARENT_NOT_EXITS = new ErrorCode(5_008, "生产报工单不存在");
    ErrorCode MACHINE_COMPONENT_PARENT_IS_CHILD = new ErrorCode(5_0081, "生产报工明细不存在");
    ErrorCode MACHINE_COMPONENT_NAME_DUPLICATE = new ErrorCode(5_0081, "生产报工明细不存在");
    ErrorCode SALE_ORDER_NOT_EXISTS = new ErrorCode(5_0081, "销售单不存在");
    ErrorCode SALE_ORDER_ITEMS_NOT_EXISTS = new ErrorCode(5_0081, "销售单明细不存在");
    ErrorCode STOCK_WORKSHOP_DETAIL_NOT_EXISTS = new ErrorCode(5_0081, "车间仓明细不存在");
    ErrorCode STOCK_WORKSHOP_NOT_EXISTS = new ErrorCode(5_0081, "车间仓库存不存在");
    ErrorCode FEEDING_RECORD_NOT_EXISTS = new ErrorCode(5_0081, "投料明细不存在");

    ErrorCode FEEDING_RECORD_PLAN_NOT_EXISTS = new ErrorCode(5_0082, "投料分配计划不存在");
    ErrorCode STOCK_IN_DETAIL_NOT_EXISTS = new ErrorCode(5_0082, "生产入库分配计划不存在");
    ErrorCode ERROR_RECORD_NOT_EXISTS = new ErrorCode(5_0082, "投错误记录不存在");
    ErrorCode ORG_WORKER_NOT_EXISTS = new ErrorCode(5_0083, "工位安排不存在");

    ErrorCode PRODUCE_REPORT_CHANGE_RECORD_NOT_EXISTS = new ErrorCode(5_0084, "报工变更记录不存在");
    ErrorCode WORK_REPORT_PLAN_NOT_EXISTS = new ErrorCode(5_0085, "报工分配计划不存在");

    ErrorCode ENERGY_TYPE_NOT_EXISTS = new ErrorCode(5_0084, "能耗类型不存在");
    ErrorCode ENERGY_DEVICE_NOT_EXISTS = new ErrorCode(5_0084, "能耗设备不存在");
    ErrorCode ENERGY_DEVICE_CHECK_RECORD_NOT_EXISTS = new ErrorCode(5_0085, "能耗抄表记录不存在");
    ErrorCode ENERGY_DEVICE_CHECK_CODE_EXISTS = new ErrorCode(5_0086, "能耗类型编码已存在");
    ErrorCode  CALCULATION_RULE_NOT_EXISTS = new ErrorCode(5_0087, "运算规则不能为空");
    ErrorCode  CALCULATION_LAST_RULE_NO_OPERATOR = new ErrorCode(5_0088, "最后一个运算规则不能有运算符");
    ErrorCode  CALCULATION_OPERATOR_MISSING = new ErrorCode(5_0089, "运算规则缺少运算符");
    ErrorCode  CALCULATION_OPERATOR_INVALID = new ErrorCode(5_0090, "运算符不合法");
    ErrorCode  CALCULATION_CONSECUTIVE_OPERATORS = new ErrorCode(5_0081, "不能连续出现运算符");
    ErrorCode  CALCULATION_CONSECUTIVE_NOT_EXISTS = new ErrorCode(5_0082, "运算规则不存在");
    ErrorCode  ENERGY_LIST_NOT_EXISTS = new ErrorCode(5_0082, "能耗设备列表不存在");
    ErrorCode  ENERGY_DEVICE_CODE_DUPLICATE = new ErrorCode(5_0082, "能耗设备编码已存在");


    ErrorCode MOLD_RECORD_SUBJECT_NOT_EXISTS = new ErrorCode(5_0086, "维保项目不存在");
    ErrorCode MOLD_RECORD_ITEM_NOT_EXISTS = new ErrorCode(5_0087, "维保方案不存在");
    ErrorCode MOLD_RECORD_NOT_EXISTS = new ErrorCode(5_0087, "模具维保不存在");
    ErrorCode MOLD_GET_NOT_EXISTS = new ErrorCode(5_0087, "领模申请不存在");
    ErrorCode MOLD_RETURN_NOT_EXISTS = new ErrorCode(5_0087, "模具入库不存在");
    ErrorCode MOLD_OPERATE_NOT_EXISTS = new ErrorCode(5_0087, "模具上下模不存在");

    ErrorCode MOLD_REPAIR_NOT_EXISTS = new ErrorCode(5_0087, "模具维修记录不存在");
    ErrorCode MOLD_REPAIR_CODE_EXISTS = new ErrorCode(5_0087, "模具维修记录编码已存在");
    ErrorCode MOLD_REPAIR_LINE_NOT_EXISTS = new ErrorCode(5_0088, "模具维修子表记录不存在");
    ErrorCode MOLD_REPAIR_LINE_ID_NOT_EXISTS = new ErrorCode(5_0088, "模具维修子表记录Id为空");



    ErrorCode DV_CHECK_NOT_EXISTS = new ErrorCode(5_0087, "维保计划不存在");
    ErrorCode DV_SUBJECT_NOT_EXISTS = new ErrorCode(5_0087, "项目不存在");
    ErrorCode DV_SUBJECT_REFERENCES = new ErrorCode(5_0087, "存在项目已被引用，请先删除所引用");

    ErrorCode DV_REPAIR_NOT_EXISTS = new ErrorCode(5_0087, "设备维修记录不存在");
    ErrorCode DV_REPAIR_CODE_EXISTS = new ErrorCode(5_0087, "设备维修记录编码已存在");
    ErrorCode DV_REPAIR_LINE_NOT_EXISTS = new ErrorCode(5_0088, "设备维修子表记录不存在");
    ErrorCode DV_REPAIR_LINE_ID_NOT_EXISTS = new ErrorCode(5_0088, "设备维修子表记录Id为空");


    ErrorCode ZJ_TYPE_NOT_EXISTS = new ErrorCode(5_0090, "检验类型不存在");
    ErrorCode ZJ_TYPE_CODE_EXISTS = new ErrorCode(5_0090, "检验类型编码已存在");
    ErrorCode ZJ_ITEM_NOT_EXISTS = new ErrorCode(5_0091, "检验项目不存在");
    ErrorCode ZJ_SCHEMA_NOT_EXISTS = new ErrorCode(5_0092, "检验方案不存在");
    ErrorCode ZJ_PRODUCT_NOT_EXISTS = new ErrorCode(5_0093, "检验参数不存在");
    ErrorCode ZJ_PRODUCT_RECORD_NOT_EXISTS = new ErrorCode(5_0093, "检验参数不存在");
    ErrorCode ZJ_TASK_NOT_EXISTS = new ErrorCode(5_0094, "检验任务不存在");
    ErrorCode ZJ_TASK_CODE_EXISTS = new ErrorCode(5_0094, "检验任务单号已存在");
    ErrorCode ZJ_TASK_RESULTS_NOT_EXISTS = new ErrorCode(5_0095, "检验任务-检验结果不存在");

    ErrorCode GOVIEW_NOT_EXISTS = new ErrorCode(5_0100, "可视化大屏不存在");



    //======================================设备管理相关 1002000000=================================================
    ErrorCode DEVICE_TYPE_NOT_EXISTS = new ErrorCode(1002000000, "设备类型不存在");
    ErrorCode DEVICE_TYPE_REFERENCES = new ErrorCode(1002000000, "该设备类型已被引用，请先删除相关引用");

    ErrorCode DEVICE_TYPE_PARENT_NOT_EXISTS = new ErrorCode(1002000001, "父级设备类型不存在");
    ErrorCode DEVICE_TYPE_PARENT_IS_SELF = new ErrorCode(1002000002, "不能设置自己为父级");
    ErrorCode DEVICE_TYPE_PARENT_IS_CHILD = new ErrorCode(1002000003, "不能设置子节点为父级");
    ErrorCode DEVICE_TYPE_EXITS_CHILDREN = new ErrorCode(1002000004, "存在子设备类型，无法删除");
    ErrorCode DEVICE_LEDGER_NOT_EXISTS = new ErrorCode(1002000005, "该设备不存在");
    ErrorCode DEVICE_LEDGER_CODE_NOT_ONLY = new ErrorCode(1002000006, "设备类型编码已存在");
    ErrorCode PLAN_MAINTENANCE_NOT_EXISTS = new ErrorCode(1002000007, "方案维护不存在");
    ErrorCode PLAN_MAINTENANCE_REFERENCES = new ErrorCode(1002000007, "该方案维护已被引用，请先删除引用");

    ErrorCode SUBJECT_PLAN_NOT_EXISTS = new ErrorCode(1002000008, "项目方案关联不存在");
    ErrorCode SUBJECT_ID_NOT_EXISTS = new ErrorCode(1002000009, "项目Id不存在");
    ErrorCode DEVICE_LEDGER_EXISTS = new ErrorCode(1002000010, "设备台账编码已存在");
    ErrorCode SUBJECT_EXISTS = new ErrorCode(1002000010, "项目编码已存在");
    ErrorCode TASK_MANAGEMENT_NOT_EXISTS = new ErrorCode(1002000011, "设备类型不存在");
    ErrorCode TASK_CORN_NOT_EXISTS = new ErrorCode(1002000011, "设备corn表达式为空");
    ErrorCode TASK_CORN_NOT_LE_HOUR = new ErrorCode(1002000011, "corn表达式不能小于一小时");

    ErrorCode TICKET_MANAGEMENT_NOT_EXISTS = new ErrorCode(1002000012, "工单管理不存在");
    ErrorCode TICKET_RESULTS_NOT_EXISTS = new ErrorCode(1002000013, "工单检验结果不存在");
    ErrorCode TICKET_RESULTS_ID_NOT_NULL = new ErrorCode(1002000014, "工单检验结果Id不存在");
    ErrorCode CRITICAL_COMPONENT_NOT_EXISTS = new ErrorCode(1002000015, "设备关键件不存在");
    ErrorCode CRITICAL_COMPONENT_CODE_EXISTS = new ErrorCode(1002000015, "设备关键件编码已存在");

    ErrorCode CRITICAL_COMPONENT_REFERENCES= new ErrorCode(1002000015, "存在设备关键件已被引用，请先删除引用");

    ErrorCode REPAIR_TEMS_NOT_EXISTS = new ErrorCode(1002000016, "维修项目不存在");
    ErrorCode REPAIR_TEMS_CODE_EXISTS = new ErrorCode(1002000016, "维修项目编码已存在");


    //======================================能源设相关 1002010000=================================================

    ErrorCode ENERGY_RECORD_NOT_EXISTS = new ErrorCode(1002010000, "能源设备历史记录不存在");
}
